{
  "version": 2,
  "$schema": "https://schemas.wp.org/trunk/theme.json",
  "settings": {
    "appearanceTools": true,
    "color": {
		"custom": true,
      "customGradient": true,
      "customDuotone": true,
      "link": true,
      "palette": [
        {
          "slug": "primary",
          "color": "#ff0909",
          "name": "Primary"
        },
        {
          "slug": "secondary",
          "color": "#000000",
          "name": "Secondary"
        },
        {
          "slug": "primary-shade-one",
          "color": "#07887B",
          "name": "Primary Shade 1"
        },
        {
          "slug": "primary-shade-2",
          "color": "#01574F",
          "name": "Primary Shade 2"
        },
        {
          "slug": "secondary-shade-1",
          "color": "#1B1296",
          "name": "Secodnary Shade 1"
        },
        {
          "slug": "secondary-shade-2",
          "color": "#0D0868",
          "name": "Secodnary Shade 2"
        },

        {
          "slug": "light-color",
          "color": "#FFFFFE",
          "name": "Light Color"
        },
        {
          "slug": "black-color",
          "color": "#101010",
          "name": "Black Color"
        },
        {
          "slug": "dark-shade",
          "color": "#0A0A0A",
          "name": "Dark Shade"
        },

        {
          "slug": "heading-color",
          "color": "#1E262A",
          "name": "Heading Color"
        },
        {
          "slug": "background",
          "color": "#FFFFFF",
          "name": "Background"
        },
        {
          "slug": "background-alt",
          "color": "#050909",
          "name": "Background Alt"
        },
        {
          "slug": "foreground",
          "color": "#6C6C6C",
          "name": "Foreground"
        },
        {
          "slug": "foreground-alt",
          "color": "#C0C0C0",
          "name": "Foreground Alternative"
        },
        {
          "slug": "meta-color",
          "color": "#C2C2C2",
          "name": "Meta Color"
        },
        {
          "slug": "border-color",
          "color": "#1E2D2C",
          "name": "Border Color"
        },
        {
          "color": "#ffffff00",
          "name": "Transparent",
          "slug": "transparent"
        }
      ],
      "link": true,
      "gradients": []
    },
	"border": {
      "color": true,
      "radius": true,
      "style": true,
      "width": true
	},
    "typography": {
      "lineHeight": true,
      "customFontSize": true,
      "fontFamilies": [
        {
          "fontFamily": "'Poppins', sans-serif",
          "name": "Poppins",
          "slug": "poppins"
        },
        {
          "fontFace": [
            {
              "fontDisplay": "swap",
              "fontFamily": "Readex Pro",
              "fontStretch": "normal",
              "fontStyle": "normal",
              "fontWeight": "160 700",
              "src": [
                "file:./assets/fonts/readex-pro/ReadexPro-VariableFont_wght.ttf"
              ]
            }
          ],
          "fontFamily": "\"Readex Pro\", sans-serif",
          "name": "Readex Pro",
          "slug": "body"
        },
        {
          "fontFace": [
            {
              "fontFamily": "Source Serif Pro",
              "fontStretch": "normal",
              "fontStyle": "normal",
              "fontWeight": "200 900",
              "src": [
                "file:./assets/fonts/source-serif-pro/SourceSerif4Variable-Roman.ttf.woff2"
              ]
            },
            {
              "fontFamily": "Source Serif Pro",
              "fontStretch": "normal",
              "fontStyle": "italic",
              "fontWeight": "200 900",
              "src": [
                "file:./assets/fonts/source-serif-pro/SourceSerif4Variable-Italic.ttf.woff2"
              ]
            }
          ],
          "fontFamily": "\"Source Serif Pro\", serif",
          "name": "Source Serif Pro",
          "slug": "source-serif-pro"
        },
        {
          "fontFace": [
            {
              "fontFamily": "Figtree",
              "fontStretch": "normal",
              "fontStyle": "normal",
              "fontWeight": "300 900",
              "src": [
                "file:./assets/fonts/figtree/Figtree-VariableFont_wght.ttf"
              ]
            },
            {
              "fontFamily": "Figtree",
              "fontStretch": "normal",
              "fontStyle": "italic",
              "fontWeight": "300 900",
              "src": [
                "file:./assets/fonts/figtree/Figtree-Italic-VariableFont_wght.ttf"
              ]
            }
          ],
          "fontFamily": "\"Figtree\", sans-serif",
          "name": "Figtree",
          "slug": "figtree"
        },
        {
          "fontFace": [
            {
              "fontDisplay": "swap",
              "fontFamily": "Outfit",
              "fontStretch": "normal",
              "fontStyle": "normal",
              "fontWeight": "100 900",
              "src": [
                "file:./assets/fonts/outfit/Outfit-VariableFont_wght.ttf"
              ]
            }
          ],
          "fontFamily": "\"Outfit\", sans-serif",
          "name": "Outfit",
          "slug": "outfit"
        },
        {
          "fontFace": [
            {
              "fontFamily": "Lora",
              "fontStretch": "normal",
              "fontStyle": "normal",
              "fontWeight": "400 700",
              "src": [
                "file:./assets/fonts/lora/Lora-VariableFont_wght.ttf"
              ]
            },
            {
              "fontFamily": "Lora",
              "fontStretch": "normal",
              "fontStyle": "italic",
              "fontWeight": "400 700",
              "src": [
                "file:./assets/fonts/lora/Lora-Italic-VariableFont_wght.ttf"
              ]
            }
          ],
          "fontFamily": "\"Lora\", serif",
          "name": "Lora",
          "slug": "lora"
        }
      ],
      "fontSizes": [
        {
          "slug": "small",
          "size": "14px",
          "name": "Small"
        },
        {
          "slug": "normal",
          "size": "18px",
          "name": "Normal"
        },
        {
          "slug": "medium",
          "size": "24px",
          "name": "Medium"
        },
        {
          "slug": "large",
          "size": "28px",
          "name": "Large"
        },
        {
          "slug": "x-large",
          "size": "32px",
          "name": "Extra Large"
        },
        {
          "slug": "huge",
          "size": "56px",
          "name": "Huge"
        }
      ]
    },
    "spacing": {
      "blockGap": true,
      "margin": true,
      "padding": true,
      "units": [
        "px",
        "em",
        "rem",
        "vh",
        "vw",
        "%"
      ]
    },
    "layout": {
      "contentSize": "1100px",
      "wideSize": "1200px"
    },
    "custom": {
      "spacing": {
        "baseline": "16px",
        "small": "min(24px, 6.4vw)",
        "gap": {
          "horizontal": "clamp( calc( 1.5 * var( --wp--custom--spacing--baseline ) ), 2.222vw, calc( 2 * var( --wp--custom--spacing--baseline ) ) )",
          "vertical": "clamp( calc( 1.5 * var( --wp--custom--spacing--baseline ) ), 3.333vw, calc( 3 * var( --wp--custom--spacing--baseline ) ) )"
        },
        "gutter": "clamp( calc( 1.5 * var( --wp--custom--spacing--baseline ) ), 3.333vw, calc( 3 * var( --wp--custom--spacing--baseline ) ) )",
        "outer": "var( --wp--custom--spacing--gutter )"
      },
      "typography": {
        "fontSmoothing": {
          "moz": "grayscale",
          "webkit": "antialiased"
        }
      }
    }
  },
  "styles": {
    "color": {
      "text": "var(--wp--preset--color--primary)"
    },
    "typography": {
      "fontSize": "var(--wp--preset--font-size--normal)",
      "fontFamily": "var(--wp--preset--font-family--poppins)",
      "fontWeight": "400",
      "lineHeight": "1.7"
    },
    "elements": {
      "link": {
        "color": {
          "text": "var(--wp--preset--color--primary)"
        },
		":hover": {
          "color": {
            "text": "var(--wp--preset--color--primary)"
          }
        },
        "typography": {
          "textDecoration": "none"
        }
      },
      "h1": {
        "typography": {
          "fontSize": "var(--wp--preset--font-size--huge)",
          "fontWeight": "600",
          "lineHeight": "1.25",
		"fontFamily": "var(--wp--preset--font-family--poppins)"
        }
      },
      "h2": {
        "typography": {
          "fontSize": "var(--wp--preset--font-size--x-large)",
          "fontWeight": "600",
          "lineHeight": "1.35",
		"fontFamily": "var(--wp--preset--font-family--poppins)"
        }
      },
      "h3": {
        "typography": {
          "fontSize": "var(--wp--preset--font-size--large)",
          "fontWeight": "600",
          "lineHeight": "1.35",
		"fontFamily": "var(--wp--preset--font-family--poppins)"
        }
      },
      "h4": {
        "typography": {
          "fontSize": "var(--wp--preset--font-size--medium)",
          "fontWeight": "600",
          "lineHeight": "1.4",
		"fontFamily": "var(--wp--preset--font-family--poppins)"
        }
      },
      "h5": {
        "typography": {
          "fontSize": "var(--wp--preset--font-size--normal)",
          "fontWeight": "600",
          "lineHeight": "1.55",
		"fontFamily": "var(--wp--preset--font-family--poppins)"
        }
      },
      "h6": {
        "typography": {
          "fontSize": "var(--wp--preset--font-size--small)",
          "fontWeight": "600",
          "lineHeight": "1.6",
		"fontFamily": "var(--wp--preset--font-family--poppins)"
        }
      },
	  "span": {
        "typography": {
          "fontSize": "var(--wp--preset--font-size--normal)",
          "fontWeight": "600",
          "lineHeight": "1.55",
		"fontFamily": "var(--wp--preset--font-family--poppins)"
        }
      },
	  "list": {
        "typography": {
		"fontFamily": "var(--wp--preset--font-family--poppins)"
        }
      },
	  "paragraph": {
        "typography": {
		"fontFamily": "var(--wp--preset--font-family--poppins)"
        }
      }
    },
    "blocks": {
      "core/button": {
		  ":hover": {
			"color": {
			  "background": "transparent",
			  "text": "var(--wp--preset--color--primary)"
			}
		},
        "border": {
          "radius": "3px"
        },
        "color": {
          "background": "var(--wp--preset--color--primary)",
          "text": "var(--wp--preset--color--secondary)"
        },
        "spacing": {
          "padding": {
            "bottom": "16px",
            "left": "32px",
            "right": "32px",
            "top": "16px"
          }
        },
        "typography": {
          "fontSize": "var(--wp--preset--font-size--normal)",
          "fontWeight": "600",
      "fontFamily": "var(--wp--preset--font-family--poppins)"
		  }
      },
	  "core/list": {
        "typography": {
          "fontFamily": "var(--wp--preset--font-family--poppins)"
        }
      },
	  "core/paragraph": {
        "typography": {
          "fontFamily": "var(--wp--preset--font-family--poppins)"
        }
      },
		"core/navigation":{
		"typography": {
      "fontSize": "var(--wp--preset--font-size--normal)",
      "fontFamily": "var(--wp--preset--font-family--poppins)",
      "fontWeight": "600",
      "lineHeight": "1.0"
    }	
		},
      "core/comment-content": {
        "border": {
          "radius": "5px"
        },
        "color": {
          "background": "var(--wp--preset--color--secondary)"
        },
        "spacing": {
          "padding": {
            "bottom": "24px",
            "left": "24px",
            "right": "24px",
            "top": "24px"
          }
        }
      },
      "core/comment-author-name": {
        "typography": {
          "fontSize": "var(--wp--preset--font-size--normal)",
      "fontFamily": "var(--wp--preset--font-family--poppins)"
        }
      },
      "core/comment-date": {
        "typography": {
          "textTransform": "uppercase",
          "fontSize": "12px",
      "fontFamily": "var(--wp--preset--font-family--poppins)"
        }
      },
      "core/comment-edit-link": {
        "typography": {
          "textTransform": "uppercase",
          "fontSize": "12px",
      "fontFamily": "var(--wp--preset--font-family--poppins)"
        }
      },
      "core/comment-reply-link": {
        "typography": {
          "textTransform": "uppercase"
        },
        "elements": {
          "link": {
            "typography": {
              "fontSize": "var(--wp--preset--font-size--small)",
      "fontFamily": "var(--wp--preset--font-family--poppins)"
            },
            "color": {
              "text": "var(--wp--preset--color--primary)"
            }
          }
        }
      },
      "core/search": {
        "border": {
          "radius": "5px"
        }
      },
      "core/quote": {
        "typography": {
          "fontSize": "var(--wp--preset--font-size--small)"
        },
		"color": {
          "background": "var(--wp--preset--color--secondary)"
        }
      },
      "woocommerce/mini-cart-contents": {
        "color": {
          "text": "var(--wp--preset--color--primary)",
          "background": "var(--wp--preset--color--secondary)"
        },
        "elements": {
          "link": {
            "color": {
              "text": "var(--wp--preset--color--primary)"
            }
          }
        }
      }
    }
  },
  "templateParts": [
		{
			"name": "header",
			"title": "Header",
			"area": "header"
		},
		{
			"name": "footer",
			"title": "Footer",
			"area": "footer"
		},
		{
			"name": "sidebar",
			"title": "Sidebar",
			"area": "uncategorized"
		},
		{
      "name": "footer-widgets",
      "title": "Footer Widgets",
      "area": "footer"
    }
	] 
  
}